Summary: Graphical user interface for EMBOSS.
Name: kemboss
Version: 0.11
Release: 1
Group: Applications/Bioinformatics
Source: kemboss-0.11.tar.gz
License: GPL
URL: http://www.tobias-schwarz.net/kemboss.html
Packager: Tobias Schwarz <mail@tobias-schwarz.net>
BuildArchitectures: i386 x86_64
BuildRoot: /usr/src/packages/BUILD/%{name}-0.11/buildroot

%description
kemboss is an Open Source graphical user interface for the bioinformatics package EMBOSS (http://www.emboss.org/). It uses Qt4 to show nice windows for configuring and running the more than 200 programs included in EMBOSS. kemboss is a cross-platform GUI, running on Windows, MacOS X and a variety of Unix systems.

%prep
%setup

%build
cd ./src
qmake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/kemboss
mkdir -p $RPM_BUILD_ROOT/usr/share/kemboss/data
mkdir -p $RPM_BUILD_ROOT/usr/share/kemboss/default_settings

install -s -m 755 kemboss $RPM_BUILD_ROOT/usr/bin/kemboss
install -m 644 data/* $RPM_BUILD_ROOT/usr/share/kemboss/data
install -m 644 default_settings/* $RPM_BUILD_ROOT/usr/share/kemboss/default_settings
install -m 644 copying $RPM_BUILD_ROOT/usr/share/kemboss/copying
install -m 644 copyright $RPM_BUILD_ROOT/usr/share/kemboss/copyright
install -m 644 versions $RPM_BUILD_ROOT/usr/share/kemboss/versions
install -m 644 todo $RPM_BUILD_ROOT/usr/share/kemboss/todo
install -m 644 install $RPM_BUILD_ROOT/usr/share/kemboss/install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/bin/kemboss
/usr/share/kemboss/data
/usr/share/kemboss/default_settings
/usr/share/kemboss/copying
/usr/share/kemboss/copyright
/usr/share/kemboss/versions
/usr/share/kemboss/todo
/usr/share/kemboss/install

%changelog
* Sun Aug 10 2008 Tobias Schwarz <mail@tobias-schwarz.net>
- Added X86_64 as build architecture

* Mon May 12 2008 Tobias Schwarz <mail@tobias-schwarz.net> 
- first rpm build
